List Zones
const url = 'https://example.com/topology/v1/engines/example/zones';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/topology/v1/engines/example/zonesReturns a paginated list of zones for a provider.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The cloud provider to list, or - for all providers
Query Parameters
Section titled “Query Parameters ”The maximum number of zones to return. The service may return fewer than this value. If unspecified, at most 20 zones will be returned. The maximum value is 100; values above 100 will be coerced to 100.
A page token from a previous ListZones call.
An AIP-160 filter expression, e.g. region_id = "..." AND status = "active".
An AIP-132 ordering expression.
Responses
Section titled “ Responses ”OK
ListZonesResponse
Response message for ListZones.
object
The list of zones
Zone
A failure domain within a region — the concrete unit a workload is placed in. A qibdo zone is administrator-created within a synced region; a cloud zone arrives via that provider’s sync source. A zone is immutable once it has been enabled.
object
The unique identifier of the zone
The unique identifier of the parent region (create input)
The DNS-label handle of the zone (create input)
A human-readable label for the zone
An optional description of the zone
The usability status of the zone
The cloud provider that backs the zone
The timestamp when the zone was created
The timestamp when the zone was last updated
A token to retrieve the next page, or empty if there are no further pages.
Example
{ "zones": [ { "status": "LOCATION_STATUS_UNSPECIFIED", "engine": "ENGINE_UNSPECIFIED" } ]}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}